aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/zpool-config/supermicro-raidz-4x4.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/zpool-config/supermicro-raidz-4x4.sh')
-rw-r--r--scripts/zpool-config/supermicro-raidz-4x4.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/scripts/zpool-config/supermicro-raidz-4x4.sh b/scripts/zpool-config/supermicro-raidz-4x4.sh
new file mode 100644
index 000000000..9ed2780e9
--- /dev/null
+++ b/scripts/zpool-config/supermicro-raidz-4x4.sh
@@ -0,0 +1,21 @@
+#!/bin/bash
+#
+# Supermicro (White Box) Raid-Z Configuration (4x4(3+1))
+#
+
+RANKS=4
+CHANNELS=4
+
+zpool_create() {
+ udev_setup ${ETCDIR}/zfs/zdev.conf.supermicro.example
+ udev_raidz_setup ${RANKS} ${CHANNELS}
+
+ msg ${ZPOOL} create ${FORCE_FLAG} ${ZPOOL_NAME} ${RAIDZS[*]}
+ ${ZPOOL} create ${FORCE_FLAG} ${ZPOOL_NAME} ${RAIDZS[*]} || exit 1
+}
+
+zpool_destroy() {
+ msg ${ZPOOL} destroy ${ZPOOL_NAME}
+ ${ZPOOL} destroy ${ZPOOL_NAME}
+ udev_cleanup ${ETCDIR}/zfs/zdev.conf.supermicro.example
+}